> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verisoul.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete List



## OpenAPI

````yaml ../list-openapi.json DELETE /list/{list_name}
openapi: 3.0.1
info:
  title: Verisoul API
  description: The Verisoul API is used to integrate Verisoul into your application.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.verisoul.ai
security:
  - apiKeyAuth: []
paths:
  /list/{list_name}:
    delete:
      description: Deletes a list with the specified name
      parameters:
        - name: list_name
          in: path
          description: Name of the list to delete
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List deletion response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteListResponse'
              example:
                request_id: 2346a2b9-7954-480a-9966-612246e05a20
                message: List us_users deleted
                success: true
        '400':
          description: List not found or invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateListError'
              example:
                message: List not found.
                statusCode: 400
components:
  schemas:
    DeleteListResponse:
      type: object
      properties:
        request_id:
          type: string
          description: The ID of the request
        message:
          type: string
          description: Success message
        success:
          type: boolean
          description: Whether the operation was successful
    CreateListError:
      type: object
      properties:
        message:
          type: string
          description: Error message
        statusCode:
          type: integer
          description: HTTP status code
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````